function beta=betaN(N)
% betaN <Nth zero of cos(x)*cosh(x)+1=0>
% Usage:: beta=betaN(N)
%

% revision history:
% 03/01/21 Mark D. Shattuck <mds> betaN.m

%% Main

zn=(2*N-1)*pi/2;
beta=fzero(@(x) cos(x)+1/cosh(x),zn);

