% Did not include in the grade, but what I was after was a loglog plot of f vs
% D/L^2 to show that all data fit that form (see attached plot with your data).
% Your data shows some dependence on D.  That may be due to the error in
% measuring D. Here are the commands:

%%

% constant
B=betaN(1); 

% load your data  
num=xlsread('C:\Downloads\brinkley\Lab2\LAB.2.Raw.Data..xlsx');

% space for freq
ff=zeros(1,24);

% make up T since don't know it
T=768152;

% automate find frequencies
for n=1:24
  [FV,f,f0]=intFFT(num(:,n)',T,1000);
  [~,ii]=max(FV(1:end/2-6000));
  ff(n)=f(ii);
end
fff=reshape(-ff,8,3);

% The high frequecies probable have another T value
% fix high frequencies based on low frequencies 
fff(1:2,:)=[1200 2000 350*4; 300 500 350]; 
fff(3,1)=125; 

% fix where freq double
fff(:,1)=fff(:,1)./[1 1 1 2 1 1 2 1]';

%%
% correct T based on my spaghetti
ffff=fff/5;

L=repmat((3:3:24)',1,3)/100;
% guess diameters 
D=repmat([.09 .16 .19],8,1)/100;

% average density kg/m^3  
p=1400;

% log-log fit function  
pl=@(a,x)(log10(B^2/8/pi*sqrt(a(1)/p))+log10(x));

% fit for E (just fit 1 and 2)
D12=D(:,1:2);
L12=L(:,1:2);
f12=ffff(:,1:2);
E=nlinfit(D12(:)./L12(:).^2,log10(f12(:)),pl,5e9)

loglog(D./L.^2,(sqrt(E*(D).^2/p).*(B./L).^2/8/pi),'k',D./L.^2,ffff,'o');
axis('tight');
set(gca,'fontsize',20);
xlabel('D/L^2 (m^{-1})');
ylabel('Frequency (Hz)');

%%

The E from this analysis is 
6.55 +/- 0.15 GPa

Not sure why your values for E were off.  One issue some people had was with the linear density M/L versus density M/V in eq1 in the writeup.  I have made it clearer now, but did not take off for that mistake.
